Bug 1437181 - python-ngram: python3-ngram is missing Python 3 version of executables
Summary: python-ngram: python3-ngram is missing Python 3 version of executables
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ngram   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PY3-EXECUTABLES
TreeView+ depends on / blocked
 
Reported: 2017-03-29 17:15 UTC by Iryna Shcherbina
Modified: 2017-04-26 15:19 UTC (History)
2 users (show)

Fixed In Version: python-ngram-3.3.0-10.git20161104.325e279.fc26 python-ngram-3.3.0-10.git20161104.325e279.fc24 python-ngram-3.3.0-10.git20161104.325e279.fc25 python-ngram-3.3.0-10.git20161104.325e279.el6 python-ngram-3.3.0-10.git20161104.325e279.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-11 13:46:28 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-03-29 17:15:52 UTC
The Python 3 subpackage python3-ngram is missing executables available in the Python 2 subpackage.

According to the Fedora Packaging guidelines for Python [0], if a Python package that supports Python 3 installs executables into /usr/bin,  then either both Python versions of the executables should be packaged, or only the Python 3 version, depending on the functionality they provide.
(Note the "should": having Python 2-only executables is permitted, but strongly discouraged.)

Is it intentional for this particular package?

In case it is not intentional, please provide a Python 3 version of executable, or you can just switch to Python 3 if the functionality is the same regardless of the Python version. The guide for porting Python-based RPMs is available here [1] and you may refer to it for more instructions.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing the issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
[1] http://python-rpm-porting.readthedocs.io/

Comment 1 Fedora Update System 2017-04-09 09:03:09 UTC
python-ngram-3.3.0-10.git20161104.325e279.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f317fb1cd4

Comment 2 Fedora Update System 2017-04-09 09:03:18 UTC
python-ngram-3.3.0-10.git20161104.325e279.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-905450b4a4

Comment 3 Fedora Update System 2017-04-09 09:03:24 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5605019270

Comment 4 Fedora Update System 2017-04-09 09:03:29 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4a123b222

Comment 5 Fedora Update System 2017-04-09 09:03:34 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cda43694b4

Comment 6 Fedora Update System 2017-04-10 02:16:59 UTC
python-ngram-3.3.0-10.git20161104.325e279.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-905450b4a4

Comment 7 Fedora Update System 2017-04-10 02:18:37 UTC
python-ngram-3.3.0-10.git20161104.325e279.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f317fb1cd4

Comment 8 Fedora Update System 2017-04-10 02:50:48 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5605019270

Comment 9 Fedora Update System 2017-04-10 02:51:35 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4a123b222

Comment 10 Fedora Update System 2017-04-10 04:50:56 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cda43694b4

Comment 11 Fedora Update System 2017-04-11 13:46:28 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-11 17:50:03 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-04-12 02:22:00 UTC
python-ngram-3.3.0-10.git20161104.325e279.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-04-26 15:16:46 UTC
python-ngram-3.3.0-10.git20161104.325e279.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-04-26 15:19:58 UTC
python-ngram-3.3.0-10.git20161104.325e279.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.